import { ValueKind, BrsValue, BrsBoolean } from "../BrsType";
/**
 * A small typed wrapper around a BrightScript Interface.
 *
 * While BrightScript interfaces don't have any direct uses that I've found, their presence is useful in implementing reflection-based logic.
 */
export declare class BrsInterface implements BrsValue {
    readonly name: string;
    readonly kind = ValueKind.Interface;
    readonly methodNames: Set<string>;
    constructor(name: string, methods: Set<string>);
    getInterfaceName(): string;
    hasMethod(method: string): boolean;
    toString(): string;
    equalTo(other: BrsValue): BrsBoolean;
}
